LibreOffice: XDictionaryEntry Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XDictionaryEntry Interface Referencepublished

This interfaces gives access to a dictionary entry. More...

`import "XDictionaryEntry.idl";`

Inheritance diagram for XDictionaryEntry:

## Public Member Functions
string | getDictionaryWord ()
boolean | isNegative ()
string | getReplacementText ()
| is the suggested replacement text for negative words.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interfaces gives access to a dictionary entry.

A dictionary entry can supply a word and its hyphenation and indicate if it is a negative word. If it is a negative entry it may supply a replacement text to be used instead of the entry word.

Hyphenation positions are represented by an "=" in the word. If the "=" is the last character of the word this means it should not be hyphenated. If there is no "=" charter in the word, hyphenation positions will be determined automatically (i.e., from the hyphenator service alone).

Entries whose words only differ in hyphenation are considered to be equal. Also a "." at the end of the word will make no difference.

See also
  com::sun::star::linguistic2::XDictionary
  com::sun::star::uno::XInterface

## Member Function Documentation

## ◆ getDictionaryWord()

string getDictionaryWord | ( |  | ) |

Returns
  the word defining this entry.

## ◆ getReplacementText()

string getReplacementText | ( |  | ) |

is the suggested replacement text for negative words.

It is undefined if the entry is not negative.

Returns
  the replacement text for a negative entry. An empty string indicates that no replacement text is provided.

## ◆ isNegative()

boolean isNegative | ( |  | ) |

Returns
  TRUE if the word (entry) is a negative one and should not be used, FALSE otherwise.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XDictionaryEntry.idl